Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.perspective
Class LayoutSequence

    java.lang.Object
      org.flexdock.perspective.LayoutSequence

All Implemented Interfaces:
  Serializable, Cloneable, DockingConstants

    public class LayoutSequence

extends Object
implements Cloneable, Serializable, DockingConstants

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`LayoutSequence()`
`LayoutSequence(DockingState[] dockingStates)`

Method Summary
`void` | `add(Dockable dockable)`
`void` | `add(Dockable dockable, Dockable relativeParent)`
`void` | `add(Dockable dockable, Dockable relativeParent, String region, float ratio)`
`void` | `add(DockingState dockingState)`
`void` | `add(String dockable)`
`void` | `add(String dockable, String relativeParent)`
`void` | `add(String dockableId, String relativeParentId, String region, float ratio)`
`void` | `apply(DockingPort port)`
`Object` | `clone()`
`List` | `getDockingStates()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutSequence

    public LayoutSequence()

### LayoutSequence

    public LayoutSequence(DockingState[] dockingStates)

Method Detail

### add

    public void add(Dockable dockable)

### add

    public void add(String dockable)

### add

    public void add(Dockable dockable,
                    Dockable relativeParent)

### add

    public void add(String dockable,
                    String relativeParent)

### add

    public void add(Dockable dockable,
                    Dockable relativeParent,
                    String region,
                    float ratio)

### add

    public void add(String dockableId,
                    String relativeParentId,
                    String region,
                    float ratio)

### add

    public void add(DockingState dockingState)

### apply

    public void apply(DockingPort port)

### getDockingStates

    public List getDockingStates()

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD